Page MenuHomePhabricator

Add wb_changes_subscription and wbc_entity_usage to labs db replication
Closed, ResolvedPublic1 Story Points

Description

New Wikibase tables should be added to labs replication:

wb_changes_subscription (wikidata and test.wikidata only)

wbc_entity_usage (currently on a subset of wikibase client wikis)

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
ResolvedTpt
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedJarekt
ResolvedNone
Resolvedcoren

Event Timeline

aude created this task.May 11 2015, 4:17 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added projects: Wikidata, Toolforge.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2015, 4:17 PM

Change 210057 had a related patch set uploaded (by Aude):
Add wb_changes_subscription and wbc_entity_usage tables

https://gerrit.wikimedia.org/r/210057

aude set Security to None.
aude moved this task from Backlog to Review on the Wikidata-Sprint-2015-05-05 board.
aude moved this task from Review to Done on the Wikidata-Sprint-2015-05-05 board.May 13 2015, 2:08 PM
aude moved this task from Done to Review on the Wikidata-Sprint-2015-05-05 board.May 13 2015, 2:20 PM

Change 210057 merged by coren:
Add wb_changes_subscription and wbc_entity_usage tables

https://gerrit.wikimedia.org/r/210057

coren added a subscriber: coren.May 15 2015, 12:49 PM

This was merged and applied. I do not know if this was expected, but I note that most databases had a wbc_entity_usage table to replicate, but not all.

aude added a comment.May 15 2015, 12:50 PM

coren: only wikis in the "wikidataclient.dblist" have wbc_entity_usage and also most are still empty since the feature is not enabled on all of them yet. so probably is expected

coren closed this task as Resolved.May 15 2015, 12:55 PM
coren claimed this task.
aude moved this task from Review to Done on the Wikidata-Sprint-2015-05-05 board.May 15 2015, 1:13 PM
Conny added a subscriber: Conny.May 16 2015, 1:03 PM
Tobi_WMDE_SW edited a custom field.May 25 2015, 11:11 AM